#!/bin/bash
#
# test-draw.sh
# 
# Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# 

input="test-draw"
delay=0.2
pos=0
step=5

echo lines: $lines
echo step: $step

(
	echo progressbar_show
	while true
	do
		while read ln
		do
			echo "$ln"
			echo "progressbar_position $pos"
			echo "progressbar_text Drawing... $pos %"
			sleep 0.1
			pos=$(( $pos + $step ))
		done < "$input"
		pos=0
		echo progressbar_position 100
		echo "progressbar_text Drawing... 100 %"
		sleep 2
	done 
) | tee -a /proc/self/fd/2 | ./drawing_area 


